#ifndef GlutApp_h
#define GlutApp_h

#include "EvtManager.h"

/*! \file 
    \brief   Classe GlutApp
    \ingroup CCGL
*/

/*! \class   GlutApp
    \brief   Classe application Demo Glut
    \ingroup CCGL
*/

class GlutApp{
	static EvtManager *curEvtMgr;

	static void sIdle();
	static void sReshape(int w, int h);
	static void sKey(unsigned char key, int x, int y);
	static void sMouseDown(int button, int state, int x, int y);
	static void sMouseMove(int x, int y);
	static void sRedraw();

public:
	GlutApp(const char *nom, int tX, int tY);

	virtual void initDemo()=0;
	
}:
#endif
