#ifndef Common_h
#define Common_h

#include "Vector.h"

template <class T> class Grid {
	T* cells;

	IVector size;
public:
	Grid( T *c, IVector t): size(t){
		cells=c;
	}

	Grid(IVector t): size(t){
		cells=new T[t.x*t.y*t.z];
	}

	T &operator[](int i){
		return cells[i];
	}

	T& getCell(IVector &pos){
		return cells[pos.x + pos.y*size.x + pos.z*size.x*size.y];
	}

};


#endif
