//////////////////////////////////////////////////////////
//////////Classe de Gestion de Palette pour VolRender/////
////////////////Cyril Crassin 12 Octobre 2003/////////////
//////////////////////////////////////////////////////////

#ifndef PaletteCreator_h
#define PaletteCreator_h

#include <GL/gl.h>
#include <math.h>

/*#include <gsl/gsl_errno.h>
#include <gsl/gsl_spline.h>
#include <gsl/gsl_interp.h>*/
#include "enl_interp.h"

//Classe basique de creation de palette, a travailler
class PaletteCreator{
	int activeComp;

	float palette[256*4];

	double ctrlsX[10], ctrlsY[10];

public:
	PaletteCreator(){
		activeComp=0;

		for(int i=0; i<256; i++){
		  palette[0+i*4]=cos(i/10.0);
		  palette[1+i*4]=cos(i/10.0)*sin(i/100.0);
		  palette[2+i*4]=sin(i/40.0);
		  palette[3+i*4]=i/255.0;
      
		  /*	tbl[0+i*4]=0;
			tbl[1+i*4]=0;
			tbl[2+i*4]=cos(i/200.0);
			tbl[3+i*4]=i/255.0;*/
      

			  /*tbl[i*4]=0.5;
			tbl[1+i*4]=0.5;
			tbl[2+i*4]=1.0;
			if(i==0)
			tbl[3+i*4]=i/255.0;
			else
			tbl[3+i*4]=1.0;*/
      
			  /*tbl[i*4]=i/255.0;
			tbl[1+i*4]=i/255.0;
			tbl[2+i*4]=i/255.0;
			tbl[3+i*4]=i/255.0;*/
		}

		for(int j=0; j<10; j++){
			ctrlsX[j]=j;
			ctrlsY[j]=j;
		}

	}
	void acquire(int px, int py);

	void switchComp(){
		activeComp=(activeComp+1)%4;

		for(int i=0; i<10; i++)
		  ctrlsY[i]=palette[(int)(activeComp+(i*25)*4)]*255;
	}

	void draw();


	float *getPalette(){
		return palette;
	}

};

#endif
